## org.jfree.ui
Class RectangleAnchor

    java.lang.Object
      org.jfree.ui.RectangleAnchor

All Implemented Interfaces:
  java.io.Serializable

    public final class RectangleAnchor

extends java.lang.Object
implements java.io.Serializable

Used to indicate an anchor point for a rectangle.

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`static RectangleAnchor` `BOTTOM` Bottom.
`static RectangleAnchor` `BOTTOM_LEFT` Bottom-Left.
`static RectangleAnchor` `BOTTOM_RIGHT` Bottom-Right.
`static RectangleAnchor` `CENTER` Center.
`static RectangleAnchor` `LEFT` Left.
`static RectangleAnchor` `RIGHT` Right.
`static RectangleAnchor` `TOP` Top.
`static RectangleAnchor` `TOP_LEFT` Top-Left.
`static RectangleAnchor` `TOP_RIGHT` Top-Right.

Method Summary
`static java.awt.geom.Point2D` `coordinates(java.awt.geom.Rectangle2D rectangle, RectangleAnchor anchor)` Returns the (x, y) coordinates of the specified anchor.
`static java.awt.geom.Rectangle2D` `createRectangle(Size2D dimensions, double anchorX, double anchorY, RectangleAnchor anchor)` Creates a new rectangle with the specified dimensions that is aligned to the given anchor point `(anchorX, anchorY)`.
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CENTER

    public static final RectangleAnchor CENTER

  Center.

### TOP

    public static final RectangleAnchor TOP

  Top.

### TOP_LEFT

    public static final RectangleAnchor TOP_LEFT

  Top-Left.

### TOP_RIGHT

    public static final RectangleAnchor TOP_RIGHT

  Top-Right.

### BOTTOM

    public static final RectangleAnchor BOTTOM

  Bottom.

### BOTTOM_LEFT

    public static final RectangleAnchor BOTTOM_LEFT

  Bottom-Left.

### BOTTOM_RIGHT

    public static final RectangleAnchor BOTTOM_RIGHT

  Bottom-Right.

### LEFT

    public static final RectangleAnchor LEFT

  Left.

### RIGHT

    public static final RectangleAnchor RIGHT

  Right.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode

### coordinates

    public static java.awt.geom.Point2D coordinates(java.awt.geom.Rectangle2D rectangle,
                                                    RectangleAnchor anchor)

  Returns the (x, y) coordinates of the specified anchor.

  Parameters:
    `rectangle` - the rectangle.
    `anchor` - the anchor.
  Returns:
    The (x, y) coordinates.

### createRectangle

    public static java.awt.geom.Rectangle2D createRectangle(Size2D dimensions,
                                                            double anchorX,
                                                            double anchorY,
                                                            RectangleAnchor anchor)

  Creates a new rectangle with the specified dimensions that is aligned to the given anchor point `(anchorX, anchorY)`.

  Parameters:
    `dimensions` - the dimensions (`null` not permitted).
    `anchorX` - the x-anchor.
    `anchorY` - the y-anchor.
    `anchor` - the anchor (`null` not permitted).
  Returns:
    A rectangle.